The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Статус подготовки релиза Debian 9 "Stretch"

15.04.2017 22:28

Опубликован отчёт о подготовке следующей значительной ветки Debian - "Stretch". В настоящее время пакетная база Debian 9 находится на стадии полной заморозки перед релизом, при которой процесс переноса пакетов из unstable в testing полностью остановлен.

  • Число блокирующих релиз критических ошибок в ключевых пакетах сокращено со 150 до 40;
  • Debian получил от компании Microsoft цифровую подпись для загрузчика Shim, используемого для обеспечения поддержки UEFI Secure Boot. Пока не завершена работа по обеспечению поддержки цифровых подписей для Secure Boot в DAK (Debian Archive Kit) на FTP-master серверах;
  • Осуществлён переход на новую ветку OpenSSL;
  • Выполнена миграция с MySQL на MariaDB;
  • Удалён GCC 5 (в Debian 9 используется GCC 6);
  • Создан набор бэкпортов для Debian 9;
  • Обновлён ряд серверов, включая серверы buildd;
  • Почти полностью выполнен план изменений до заморозки пакетной базы (за исключением обновления buildd для arm{el,hf}).
  • Пока не готовы секции примечания к релизу от команд, занимающихся установщиком и ядром;
  • Имеется ряд нерешённых проблем при обновлении с jessie до stretch;
  • Если в ближайшее время не удастся устранить проблемы в пакете openbsd-inetd, то он не войдёт в состав релиза.


  1. Главная ссылка к новости (https://lists.debian.org/debia...)
  2. OpenNews: Третий кандидат в релизы инсталлятора Debian 9
  3. OpenNews: Debian 9.0 "Stretch" перешёл на стадию заморозки перед релизом
  4. OpenNews: Инсталлятор Debian 9 перешёл на стадию кандидата в релизы
  5. OpenNews: Началось альфа-тестирование инсталлятора Debian 9 "Stretch"
  6. OpenNews: В пакетную базу Debian 9 "Stretch" добавлен набор компиляторов GCC 6
Лицензия: CC-BY
Тип: Обобщение
Ключевые слова: debian
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (110) Ajax | 1 уровень | Линейный | Раскрыть всё | RSS
  • 1.1, Аноним (-), 22:37, 15/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +8 +/
    Ждём-ждём.
     
     
  • 2.118, Меломан1 (?), 11:57, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Инсталлятор до ума не довели. Ну нет ничего ради чего его ставить на на ноут.
     
     
  • 3.119, Andrey Mitrofanov (?), 12:11, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Инсталлятор до ума не довели.

    Радуйся -- у них теперича бкдет мноооого аутрича. Теперь-то точно -- и до твого ума доведут.

    >Ну нет ничего ради чего его ставить на на ноут.

    Ну, нет, так нет... А то мож отдельную аутричу для твого нубука сделают? А вдруг1

     

  • 1.2, anonymous (??), 22:39, 15/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    уже без systemd?
     
     
  • 2.30, Аноним (-), 09:26, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    $ apt policy systemd
    systemd:
      Установлен: (отсутствует)
      Кандидат:   232-22

    $ lsb_release -d
    Description:    Debian GNU/Linux 9.0 (stretch)

    Ну да, почему бы и нет?

     
     
  • 3.36, Andrey Mitrofanov (?), 09:41, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –3 +/
    > $ apt policy systemd
    > systemd:
    >   Установлен: (отсутствует)
    >   Кандидат:   232-22
    > $ lsb_release -d
    > Description:    Debian GNU/Linux 9.0 (stretch)
    > Ну да, почему бы и нет?

    С-слабак.[CODE]$ apt-cache policy systemd
    systemd:
      Установлен: (отсутствует)
      Кандидат:   44-11+deb7u5
      Таблица версий:
         [,,,]

    $ cat /etc/debian_version
    7.11
    $ apt-cache policy libsystemd0
    N: Не удалось найти пакет libsystemd0[/CODE]

     
     
  • 4.84, Аноним (-), 18:19, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Нафига мне это дерьмо мамонта? Мне свежая система нужна. Сразу видно, что не разработчик :)
     
     
  • 5.102, Аноним (-), 05:28, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    По тебе сразу видно, что хипстота
     
     
  • 6.104, Аноним (-), 05:42, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > По тебе сразу видно, что хипстота

    Найди мне в Debian 7 стандарт C++14. Нету? Он есть только в GCC6? GTFO!

     
  • 3.87, Аноним (-), 18:34, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Это хорошо что версию новую взяли.
     
  • 2.126, Andrey Mitrofanov (?), 11:01, 18/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > уже без systemd?

    Пока набираются "удовольствия", впитывают побольше живительного...

    [I]"Ok, I have been silent about systemd and [B]its being forced onto us in Debian like force-feeding Foie gras gooses[/B]. I have complained about systemd a few times (here <http://www.preining.info/blog/2014/05/systemd-debian-hoares-turing-award-lect and here <http://www.preining.info/blog/2014/04/debian-systemd-heading-abyss/>), but what I read today really made me loose my last drips of trust I had in this monster-piece of software."[/I] --https://www.preining.info/blog/?p=6304

     

  • 1.3, Аноним (-), 22:42, 15/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –15 +/
    Как там оно, хорошо ли уже закаменело?
     
     
  • 2.8, ОМДЗТ (?), 23:49, 15/04/2017 [^] [^^] [^^^] [ответить]  
  • +30 +/
    Как там твой телефон, телевизор, машина, одежда? Все самое новейшее я надеюсь? Не забываешь выкидывать каждый день и покупать новое?
     
     
  • 3.47, Аноним (-), 11:10, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –10 +/
    Не правильная анал огия. Зачем нужен Debian, когда есть Ubuntu? Ведь в Ubuntu - более новые программы.
     
     
  • 4.55, Парам Пам Пам (?), 11:54, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +8 +/
    Твоя Ubuntu без пакетной базы Debian ничто, ее бы просто не было. Если сравнивать Debian Stable и Ubuntu lts, то по новизне пакетов наблюдается паритет, в определенное время Debian на год лидирует, в другое время Ubuntu. Это связано с тем, что версии выходят с разницей в год. В Debian активно пилятся backports, есть репозитории для основного софта: postgresql, nginx, elastic, zabbix, wine и прочего.
     
     
  • 5.68, Аноним (-), 14:40, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Знаешь, по ОТР тоже програмы лучше, чем по ОРТ, но какой смысл их смотреть, если их никто, кроме меня, не смотрит? С кем обсудить. Так же и с Debian. Толку-то его использовать, когда под него нет готовых сборок ни CDemu, ни 2gis, ни PCSX2...
     
     
  • 6.79, Аноним (-), 17:25, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Слушай, ты задолбал плакаться в жилетку. Любишь кататься - люби и саночки возить!

    apt policy pcsx2
    pcsx2:i386:
      Установлен: (отсутствует)
      Кандидат:   1.4.0+dfsg-2

    > CDemu

    Этим ещё кто-то пользуется? Чем mount не устроил?

    > 2gis

    Веб-версия теперь не в моде?


    Не умеешь собирать сам - тебе не на Linux, есть хорошая система, где тебе даже думать, что использовать, не придётся. Ты наверняка знаешь её название. Так вот, советую тебе свалить обратно на неё.
    И можешь потом жаловаться, что все линуксойды такие жестокие, плохие и грубые своей мамке. А мы такие из-за вас - нытиков.

    Запомни: не умеешь работать руками - Linux НЕ. ДЛЯ. ТЕБЯ!

     
     
  • 7.89, Добрый (?), 20:19, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    То есть этоя должен работать на ос, а не она на меня? Вы странный
     
     
  • 8.91, Аноним (-), 20:32, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    То есть вам опять все должны агась, ОСь - это не абстрактный конь в вакууме из... текст свёрнут, показать
     
  • 8.103, Аноним (-), 05:41, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –3 +/
    В среднем проблем с Windows больше, чем с Linux Проверенно 4-летним опытом Так... текст свёрнут, показать
     
     
  • 9.109, iPony (?), 08:22, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Я бы не сказал Проверено более чем 10-летним опытом Разве что, если сравнивать... текст свёрнут, показать
     
  • 2.10, Wolf (??), 23:52, 15/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Да, уже можно ставить.
     
  • 2.23, Аноним (-), 06:10, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Обретесь крепость гранита - пойдет в релиз. Не все любят сырое и жидкое.
     
     
  • 3.24, Аноним (-), 06:11, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    обретет*
     
     
  • 4.37, Аноним (-), 09:46, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +4 +/
    обрящет

    Ибо нех!

     

  • 1.4, Дим (?), 22:50, 15/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    Несколько вопросов, а какая версия KDE планируется? Можно ли будет выбирать между 5-ми и 4-ми кедами?

    Также, какая версия ядра будет? Хорошо бы 4.11.

     
     
  • 2.9, Wolf (??), 23:51, 15/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    4.9
     
  • 2.42, Аноним (-), 10:51, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +4 +/
    А по пакетам посмотреть, не?

    https://packages.debian.org/search?keywords=kde

     

  • 1.5, Аноним (-), 22:54, 15/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Я в предвкушении. ИМХО Один из самых адекватных дистрибов!
     
     
  • 2.31, Аноним (-), 09:27, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Не "один из ...", а это папа больше половины всех дистрибутивов!
     
  • 2.60, Гость (??), 12:52, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    И все равно они легли под Леню.
     
     
  • 3.107, Нанобот (ok), 08:15, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    И только анонимусы опеннета не прогнулась и гордо ждут devuan (третий год ждут, кстати)
     

  • 1.11, Аноним (-), 00:19, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    очень хорошо работает, жду релиза и разморозки тестинга)
     
  • 1.12, Аноним (-), 00:47, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –11 +/
    Ужасно работает, точнее есть один кретический баг. Ноут при ПОПЫТКЕ отправке в ждущий режим он мало того что не переводит в ждущий режим так ещё и отключает устроиство вайфай и не позволяет потом перезагрузиться\выключится. Приходится хард резетать. Очень сильно затрудняет работу на ноуте. В остальном вроде ок.
     
     
  • 2.20, stratch (?), 02:34, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    чепуха же,у меня уже год стреч, нет там таких проблем.
     
     
  • 3.38, Аноним (-), 09:53, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Здесь вопрос драйверов, поэтому то, что у вас, может не проявиться у кого-либо другого.
     
  • 3.65, ОМДЗТ (?), 13:31, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    У меня было несколько проблем при переходе. Например иксы запускались только из под рута. Но там в основном все самому можно пофиксить было. Весь смысл дебиана в этом. Даже если там и будут небольшие шероховатости - ты можешь их подправить и сидеть три года ни о чем не парясь.
     
     
  • 4.72, Гость (??), 15:17, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Весь смысл дебиана в этом

    Ты и комп для постоянной настройки покупал? Купишь машину и будешь под капотом все время лазить, а окружающих уверять, что "делаешь" машину под себя? Странная идеология..

     
     
  • 5.75, angra (ok), 16:30, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    А ты купишь машину и даже сиденья, зеркала, кондишку и радио для себя не настроишь?
     
     
  • 6.76, Гость (??), 16:49, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Может быть и буду настраивать, но не каждый же день!
     
     
  • 7.93, angra (ok), 21:32, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    А про каждый день тут только ты говоришь. Попробуй перечитать внимательно. Тебе говорили:  "Даже если там и будут небольшие шероховатости - ты можешь их подправить и сидеть три года ни о чем не парясь.". Где здесь речь про постоянную настройку? Здесь как раз полностью противоположное говорится, что можно один раз настроить(причем это занимает минуты, а не дни) и три года ничего не трогать, при этом не бояться, что твои настройки накроются одним местом при апдейте из-за выхода новой версии софта, где конфиг перекурочили. Вот я тебе и дал правильную аналогию.
     
  • 5.82, ОМДЗТ (?), 17:38, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    >>Ты и комп для постоянной настройки покупал?

    В том то и дело, что не для постоянной а раз в три года.

     
  • 5.86, Аноним (-), 18:30, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +3 +/
    >> Весь смысл дебиана в этом
    > Ты и комп для постоянной настройки покупал? Купишь машину и будешь под
    > капотом все время лазить, а окружающих уверять, что "делаешь" машину под
    > себя? Странная идеология..

    Представляешь - комп это инструмент. Инструмент имеет свойство ломаться\тупиться\загрязняться. И его надо чинить, точить и чистить. Если ты этого делать не будешь - инструмент мало того, что прослужит меньше, так ещё и ногу тебе оторвёт.
    С машиной так же, каждые 3 месяца ТО надо проводить, по хорошему. А ещё бы неплохо раз в неделю мыть её, а ещё машине нужен бензин и масло нужно менять. Так что ты фигню несёшь. Машина это ещё та головная боль, так же как и любое другое устройство. Без них плохо, а с ними ещё хуже.

     
     
  • 6.88, Гость (??), 19:54, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –3 +/
    А как же серверы, которые работают без пересборки?
     
     
  • 7.90, Аноним (-), 20:27, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > А как же серверы, которые работают без пересборки?

    А зачем иксы на серверах?
    И почему это в вашей вселенной для настройки обязательно нужно пересобирать?


     
  • 7.105, Аноним (-), 05:45, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > А как же серверы, которые работают без пересборки?

    А кто сказал, что сервера не надо поддерживать? Пересобирать то зачем? Достаточно раз в N дней проверять, что всё в порядке, смотреть логи, перезагружать, если надо. И всё равно бывают непредвиденные ситуации, когда, например, умирает HDD.

     
  • 2.21, Ilya Indigo (ok), 02:35, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Ужасно работает, точнее есть один кретический баг. Ноут при ПОПЫТКЕ отправке в
    > ждущий режим он мало того что не переводит в ждущий режим
    > так ещё и отключает устроиство вайфай и не позволяет потом перезагрузиться\выключится.
    > Приходится хард резетать. Очень сильно затрудняет работу на ноуте. В остальном
    > вроде ок.

    Баг рапорт разработчикам ядра и/или дистрибутива Вы, конечно же, отправили?

     
     
  • 3.52, Аноним (-), 11:29, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Конечно отправлял багрепорт.
     
  • 3.114, Аноним (-), 10:17, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Тут наверное особенность в том, что таких калек(ноутбуков с поломанным управлением питания) не так много, и баг не проявляется на других машинах.
    Один из таких с багом - ноут на pentium-m, просто уже известен способ, вынуть провод, снять вставить аккумулятор ( благо не как в современных, не нужно ничего разбирать )
     
     
  • 4.120, Ilya Indigo (ok), 18:53, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    У меня у самого такой калека Asus X50N, у которого не работает перезагрузка, на ... текст свёрнут, показать
     
  • 2.22, iPony (?), 05:18, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Ноут при ПОПЫТКЕ отправке в ждущий режим

    Ну ты же понимаешь, что все это очень железо специфично.
    С этим как повезет, или скорее всего не повезет.

     
  • 2.25, Аноним (-), 06:13, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    У меня давно была проблема на старом ноуте, решилась подбором параметров загрузки ядра. Подробности не помню (вроде дело было в значении acpi) - очень давно было, но вам рекомендую поиграться с параметрами ядра.
     
     
  • 3.67, user (??), 14:35, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    В /etc/default/grub удалял pcie_aspm=force при тестировании в ждущий режим ушёл 2 раза, на 3 ситуация снова всё отвалилось (обычное поведение).
    GRUB_CMDLINE_LINUX_DEFAULT="quiet splash pcie_aspm=force"
    Ноутбук dell xps 13 2015 с интеловским wifi, вроде комплектующие нормальные, не чистый Китай. Устанавливал tlp и powertop. Уже даже не знаю куда копать, багрепорты пока не имели смысла. И какие логи отправить для поомщи разработчикам не знаю.
     
     
  • 4.70, Аноним84701 (ok), 15:00, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Ноутбук [b]dell xps 13 2015[/b] с интеловским wifi, вроде комплектующие нормальные, не
    > чистый Китай.

    Кривой ACPI - не обязательно прерогатива китайцев:
    https://lkml.org/lkml/2015/3/12/149
    > Unfortunately, Windows always reports "2" for this
    > value and vendors are now using this as a means to tell whether a system is
    > running Windows or Linux.
    > From a Dell XPS 13:
    > If ((_REV == 0x05))
    > In both cases, the systems then alter hardware initialisation paths and
    > device capability reporting. As written, this makes no sense - ACPI

    кстати:
    https://lkml.org/lkml/2015/3/14/158
    > I can confirm that on my 2015 Dell XPS 13, this patch fixes both the audio
    > and suspend/resume.  I'm running a build of Linus' master branch as of some
    > time this morning.

     
     
  • 5.116, user (??), 11:10, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Не совсем понимаю что тут имеется ввиду. Что всё работает на чистом ядре от Линуса? Где бы взять репазиторий с ядрами для дебиана.
     
     
  • 6.117, Andrey Mitrofanov (?), 11:44, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > Не совсем понимаю что тут имеется ввиду. Что всё работает на чистом
    > ядре от Линуса? Где бы взять репазиторий с ядрами для дебиана.

    Пошарься на http://mirror.yandex.ru/ , вроде было что-то.......

     
     
  • 7.125, user (??), 09:47, 18/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Спасибо. Поставил
    uname -a
    Linux 4.9.0-22.1-liquorix-amd64 #1 ZEN SMP PREEMPT liquorix 4.9-22 (2017-04-13) x86_64 GNU/Linux
    Стал работать пошустрее даже, уже 2 день и в ждущий режим без проблем переходит. Так что похоже дело чисто в дебиановском ядре, странно что они не исправляют это (как вариант делать отдельные ядра для десктопов, скажем, и для ноутов).
     
  • 2.27, Аноним (-), 08:16, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Со многими современными ноутами проблемы - там так много китайской проприетари внутри, что на все её комбинации очень сложно рассчитывать из коробки. Гугли решения, что в grub.cfg прописывать, или оформляй багрепорт. Советую первое.
     

  • 1.13, Аноним (-), 00:47, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    >Debian получил от компании Microsoft цифровую подпись для загрузчика

    что происходит с этим миром?

     
     
  • 2.14, Аноним (14), 01:13, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > что происходит с этим миром?

    Он во власти монополий.

     
     
  • 3.40, пох (?), 10:27, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Он во власти монополий.

    был бы во власти монополий - никто никому волшебную подпись бы и не дал.
    трахайтесь с героическим обходом secure boot'а или еще более героически встраивайтесь в загрузчик того, что умеет с ним работать (для опоздавших родиться - так загружались на древних power-pc маках, то есть вообще никаких других вариантов не было, кроме встраивания в родной загрузчик - но тот хотя бы не был криптографически закрытым)

    А тут что-то малопонятное. Не в том смысле что непонятно зачем это MS, они искренне хотят продвигать свое изобретение в качестве общепринятого стандарта, а в том, как они при этом всем собираются сохранить его работоспособность. А раз подпись выдана, значит, автор shim как-то их убедил.

     
     
  • 4.61, Гость (??), 13:09, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Вы это https://habrahabr.ru/post/315452/#comment_9914364 имеете ввиду?
     
  • 4.74, Аноним (74), 15:46, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > трахайтесь с героическим обходом secure boot'а

    Моя материнка позволяет выбрать legacy. А в поздних сис.платах такого счастья уже нет.

     
     
  • 5.110, iPony (?), 08:27, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Ты хоть бы в вопросе разобрался бы.
    EFI/UEFI и Secure Boot - это как бы слабо связанные вещи.
     
     
  • 6.112, Аноним (-), 08:57, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну продемонстрируй нам Secure Boot без EFI.
     
  • 4.111, ryoken (ok), 08:46, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    >> Он во власти монополий.
    > был бы во власти монополий - никто никому волшебную подпись бы и
    > не дал.
    > трахайтесь с героическим обходом secure boot'а

    насколько я понял в своё время при чтении инета на эту тему - оно не столько Secure, сколько Signed. Защиты от него больше не появляется, а вот проблем за свои деньги - это да. В лучшем случае хорошо, если может прошивку отредактировать можно и по дефолту его выключить и скрыть.

     
     
  • 5.122, пох (?), 21:14, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    оно именно для того и signed, чтобы быть хотя бы относительно secure Учитывая с... текст свёрнут, показать
     
  • 2.18, leap42 (ok), 02:12, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    адекватность и сотрудничество?
     
     
  • 3.33, Аноним (-), 09:29, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > бабки и ещё раз бабки

    fix

     
  • 3.41, пох (?), 10:31, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > адекватность и сотрудничество?

    а нет ощущения, что оно сводит всю идею secure boot к херу?

    (если что, это вопрос)

     
     
  • 4.64, Аноним84701 (ok), 13:21, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > а нет ощущения, что оно сводит всю идею secure boot к херу?

    А не поздно ли пить боржоми, после того, как сами, своими шаловливыми ручками "проложили" туда маршрут?
    https://www.opennet.ru/opennews/art.shtml?num=44950
    > Утечка мастер-ключа Microsoft скомпрометировала защиту Secure Boot
    > Группа анонимных исследователей опубликовала сведения об универсальном ключе, позволяющем
    > разблокировать любое устройство, защищённое при помощи технологии Secure Boot и использующее загрузчик
    > Microsoft. В том числе ключ позволяет снять блокировку с любых планшетов и смартфонов, поставляемых с ОС
    > Windows

     
     
  • 5.69, пох (?), 14:55, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > А не поздно ли пить боржоми

    нет, потому что утекший ключик был очень специфическим и требовал ручных приседаний (то есть сам себя сломал, молодец. Ну или у тебя уже отжали мабилу, и чего уж теперь плакать)

    А здесь, вроде бы, открывается возможность именно автоматически заменить верифицированное на свое, "прозрачно для пользователя" опенсосе софтвара, чтоб не огорчать его лишний раз.
    (альтернативный, гнутый, лоадер требовал тоже ручных действий каждый раз, и за это его, разумеется, не любили - "хотим как в виндах")

     
  • 2.108, Нанобот (ok), 08:18, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >>Debian получил от компании Microsoft цифровую подпись для загрузчика
    > что происходит с этим миром?

    Знают, кто хозяин этого мира

     

  • 1.15, Вареник (?), 01:15, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Ждемс!
     
  • 1.16, Аноним (-), 01:19, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    В Stretch отсутствует sysvinit (хотя в sid есть):

    unstable sid 2.88

    testing stretch --

    8.0 jessie 2.88

    http://distrowatch.com/table.php?distribution=debian

     
     
  • 2.17, saahriktu (ok), 01:48, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Это метапакет. sysvinit-core и sysvinit-utils как были так и остались.
     
  • 2.34, Аноним (-), 09:29, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    $ apt policy sysvinit
    sysvinit:
      Установлен: 2.88dsf-59
      Кандидат:   2.88dsf-59
      Таблица версий:
    *** 2.88dsf-59 100
            100 /var/lib/dpkg/status

    $ lsb_release -d
    Description:    Debian GNU/Linux 9.0 (stretch)

    Откуда вы лезете такие, а?

     
     
  • 3.50, botman (ok), 11:29, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    % apt policy sysvinit
    sysvinit:
      Установлен: (отсутствует)
      Кандидат:   (отсутствует)

    При этом sysvinit-core есть в репозиторях и sysvinit-utils установлен...

     
     
  • 4.85, Аноним (-), 18:23, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > При этом sysvinit-core есть в репозиторях и sysvinit-utils установлен...

    Что в /etc/apt/sources.list ?

    Вообще-то core тянет всё нужное, так что ставь его. А sysvinit это метапакет.

     

  • 1.19, Ilya Indigo (ok), 02:22, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    > Осуществлён переход на новую ветку OpenSSL;

    В рот мне ноги!
    В Debian 1.1.0e, а в Arch до сих пор 1.0.2k.
    Спасайте, у меня сейчас шаблон к чертям аннигилирует!

     
     
  • 2.29, Аноним (-), 08:19, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Осуществлён переход на новую ветку OpenSSL;
    > В рот мне ноги!
    > В Debian 1.1.0e, а в Arch до сих пор 1.0.2k.
    > Спасайте, у меня сейчас шаблон к чертям аннигилирует!

    Угу. Зато Firefox и MATE так и заморозили старые.

     
     
  • 3.35, Ilya Indigo (ok), 09:38, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    >>> Осуществлён переход на новую ветку OpenSSL;
    >> В рот мне ноги!
    >> В Debian 1.1.0e, а в Arch до сих пор 1.0.2k.
    >> Спасайте, у меня сейчас шаблон к чертям аннигилирует!
    > Угу. Зато Firefox и MATE так и заморозили старые.

    Да много там старья ещё, но мне не понятна логика экстренного перехода на то, что нету даже в ролингах, что потребовало очень больших усилий и временных затрат, но при этом оставить устарелыми такие пакеты, как php, Mesa, Firefox?
    О чём они думали?

     
     
  • 4.45, Аноним (-), 11:03, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Такие вещи, как OpenSSL, это прежде всего security, потому и обновили. Если всякие десктопные свистелки типа MATE или Firefox могут быть не самыми свежими, то за такими вещами они следят очень внимательно. Ты забываешь изначальное назначение Linux - сервер. По крайней мере, Debian всегда являлась стабильной серверной системой в первую очередь. Не смотри на все эти Арчи, Бубунты, Минты, Манджары и прочее нечто, которое само не знает, кем быть: красивыми, умными либо одновременно и теми и другими.
     
     
  • 5.73, Гость (??), 15:30, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Ждем очередных закладок от финского мальчика.
     
  • 2.54, botman (ok), 11:48, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >> Осуществлён переход на новую ветку OpenSSL;
    > В рот мне ноги!
    > В Debian 1.1.0e, а в Arch до сих пор 1.0.2k.
    > Спасайте, у меня сейчас шаблон к чертям аннигилирует!

    Но попробуй запустить не соглашаясь apt purge libssl1.0.2 и увидишь что в зависимостях потянется четверть системы(ну может до следующего апдейта и не у всех так будет). Пока это косметика больше.

     
     
  • 3.101, freehck (ok), 02:09, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Зависимости, скорее всего, будут допиливать уже после заморозки. То, что у пакетов до сих пор стоит в зависимостях старый пакет, вовсе не осзначает, что с новым они не соберутся нормально. Всё-таки не мажорная версия сменилась.
     

  • 1.26, Аноним (-), 06:39, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    В арче он в testing уже 1.5 месяца, и до сих пор не допущен до core. Действительно странно, что стабильный дебиан постабильнел от такого.
     
  • 1.39, компот (?), 10:15, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    >Debian получил от компании Microsoft цифровую подпись для загрузчика Shim, используемого для обеспечения поддержки UEFI Secure Boot.

    Вот микрососы и поработили линуксы.
    Надо что-то с этим делать.

     
     
  • 2.44, Аноним (-), 10:53, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Не покупать железо с этой "технологией", разве что.
     
     
  • 3.48, Кен (?), 11:23, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    На чем работать будете?
     
     
  • 4.62, KhabMan (ok), 13:16, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Ну вот у меня материнка 2016 года, Secure boot в ней предусмотрен, но спокойно отключается.
     
     
  • 5.83, Аноним (-), 17:52, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну это пока. Для Винтела идеально было бы сделать зашитый на мат. плате проц и ссд на котором жёстко прошита винда и поменять ёё никак нельзя, а установка всех программ только с маркета за $.
     
     
  • 6.113, ryoken (ok), 09:22, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > Ну это пока. Для Винтела идеально было бы сделать зашитый на мат.
    > плате проц и ссд на котором жёстко прошита винда и поменять
    > ёё никак нельзя, а установка всех программ только с маркета за
    > $.

    Есть вещи хуже - Intel Bootguard кажется.

     
  • 6.115, iPony (?), 10:37, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Ну это пока.

    А смысл выдумывать?

     

  • 1.43, Главные Редакторы. Избранное (?), 10:52, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Меня интересует были ли устранены следующие проблемы Debian 7 и 8:
    1. Невозможность полноценного использования ноутбука со встроенной графикой Интел и выделенной графикой Энвидия.
    2. Отсутствие предсказуемой настройки правильной плотности пикселей, в том числе автоматически и вручную.
     
     
  • 2.46, Аноним (-), 11:04, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >настройки правильной плотности пикселей

    wtf?

     
     
  • 3.49, Главные Редакторы. Избранное (?), 11:27, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Dots per inch, my friend.
     
  • 2.51, saahriktu (ok), 11:29, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > 2. Отсутствие предсказуемой настройки правильной плотности пикселей, в том числе автоматически
    > и вручную.

    echo "Xft.dpi: 81" >> ~/.Xresources

     
     
  • 3.66, Аноним84701 (ok), 14:24, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> 2. Отсутствие предсказуемой настройки правильной плотности пикселей, в том числе автоматически
    >> и вручную.
    > echo "Xft.dpi: 81" >> ~/.Xresources

    Желательно бы упомянуть  до кучи "xrdb -merge ~/.Xresources" (хотя бы для тех, кто нагуглит ответ).

    По теме:
    Гнoмосеки cами, активно создают проблемы:
    https://bugzilla.gnome.org/show_bug.cgi?id=757142
    В 3.17 с какого-то перепугу решили, что если нет Xft.dpi, то нафиг не надо даже пытаться считать dpi с помощью иксов (DisplayHeight * 25.4 / DisplayHeightMM) и лучше сразу пользоваться  захардкоженой константой (dpi_double = 96).
    > Status: RESOLVED WONTFIX
    > Perhaps I didn't make myself clear, so I will try again: the main issue is that completely autoconfigured (_no_ config files touched) HiDPI setups will no longer work "out of the box",
    > because the information provided by the X server gets ignored by GTK+.

    Причем,  ответы гнумовца (по совместительству "исправителя" кода) довольно "специфичны" -- на опеннете/лоре я бы решил, что он троллит, но для оф. отвечающего в багтрекере такое вроде бы немного невместно.
    В общем, похоже со времен "великой чистки и выбрасывания ненужного" 2011-2013 ничего особо не изменилось.


     
     
  • 4.98, Аноним (-), 00:01, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    А, это про гномопроблемы? А то я прифигел было с такого вопроса.
     
     
  • 5.100, Аноним84701 (ok), 00:45, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > А, это про гномопроблемы? А то я прифигел было с такого вопроса.

    Если бы только гнум. "Улучшения"-то они в гтк коммитят:
    https://git.gnome.org/browse/gtk+/commit/?id=bdf0820c501437a2150d8ff0d5340246e
    чтобы значит "никто не ушел обиженным" (т.е. даже если вы не пользуетесь гнумом, но пользуетесь приложениями на гтк, то ... ну, вы поняли). Ох не зря все больше проектов (Wireshark, Openshot, Budgie, GCompris, Subsurface, LXDE и вроде бы Audacious после отката с гтк3 назад, на гтк2) норовят на Qt смигрировать.

     

  • 1.56, Аноним (-), 12:09, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Next point releases
    stable (8.8) 2017-05-06
    https://release.debian.org/

    То ли 5-ое июня, то ли 6-ое мая. Вряд ли Stretch выпустят раньше, чем обнову для текущего стабильного.

     
     
  • 2.59, Аноним (-), 12:43, 16/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    Если нормально сходить по ссылкам, то можно увидеть что 6-го мая
    https://lists.debian.org/debian-live/2017/04/msg00003.html
     

  • 1.92, Меломан1 (?), 20:49, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –4 +/
    >Debian 9 "Stretch" will be released "when it's ready"

    Добавили бы в релиз Gnome 3.24, все равно только летом релизнутся. Любят дебианщики в носу ковыряться.

     
  • 1.95, Аноним (-), 21:46, 16/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Почему-то нет virtualbox в текущем testing. Печалька.
     
     
  • 2.99, Аноним (-), 00:08, 17/04/2017 [^] [^^] [^^^] [ответить]  
  • +/
    > Почему-то нет virtualbox в текущем testing. Печалька.

    Оракл перестал выдавать патчи для CVE. Выкинули из stable, чтобы не тянуть заведомо дырявый пакет.
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=794466

     
     
  • 3.123, бедный буратино (ok), 08:19, 18/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    ваще ничтяк. хорошо, я успел в стреч поставить, пока было :)
     
     
  • 4.124, пох (?), 09:19, 18/04/2017 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > ваще ничтяк. хорошо, я успел в стреч поставить, пока было :)

    какая-то сура корана мешает плюнуть на этих борцунов за опенотсосие и поставить скачанный с оракла? (я уж и не говорю о самому собрать как тебе нравится) В нем, помимо прочего, еще и баги исправили. Некоторые.
    У меня вот просто подключен (не на дебиане и вообще не на хорошо поддерживаемой системе) оракловый репо - что-с я делаю не так?

    Это же типичная дебиановская клиника - им предоставили исходники, как они любят, но их мозга не хватает, видите ли, в "сложном" (не таком уж и большом, не мазила) проекте выковыривать из апдейтов исключительно патчи, относящиеся к cve (не говоря уже о том, что что-то может быть молча исправлено и никакого cve вовсе не быть - в том числе просто потому, что разработчику было неинтересно выяснять, уязвимость это или просто ошибка/плохой код, взял и исправил, а не в силу заговора рептилоидов), и они _требуют_ это делать за них, принося им патчи на блюдечке, используя банальный шантаж (при этом дурачки даже не подозревают, насколько ораклу на них наплевать, мир ведь крутится вокруг них). При том что позиция оракла вполне понятна, незачем расширять площадку для script-kiddies, продукт не только на локалхостах используют.

    Просто брать последнюю версию в той же ветке (при том что эта ветка уже очень прочно окаменевшее мамонтово дерьмище, ничего кроме критичных исправлений там никогда уже не будет) им тоже коран не позволяет, некруто, пользователи ди6иллиана могут ведь на секунду подумать, что его "разработчики" ничего кроме кривых скриптов для билдов делать не умеют (как оно на самом деле и есть, и слава Аллаху).

    Вот с гуглем все нормально, да, webkit берем свеженький, прямо из под коммитера - а то пошантажируешь, и сам лесом пойдешь. У гугля много способов ненавязчиво отдавливать яйки опенотсосерам.

     

  • 1.127, Аноним (-), 12:55, 18/04/2017 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    а у меня debian lenny и мне лень обновлять )))
    шутка_моде off
     
     
  • 2.128, Andrey Mitrofanov (?), 13:59, 18/04/2017 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > а у меня debian lenny и мне лень обновлять )))
    > шутка_моде off

    А у меня Debian wheezy LTS, и я с облегчением узнал, что можно ещё год по{прокрастинировать,тянуть} с исходом с D.  Спасибо Freexian-у!  нет,+<:/ не шутка>

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру